<h2>Shortcode Details</h2>
<div>
    <p>Use the shortcode <code>[metals_api_price]</code> to display metal rates on your WordPress website.</p>
    <p>Below are the parameters you can use to customize the output of the shortcode:</p>
    <ul style="list-style: circle;">
        <li>
            <strong>symbol</strong>
            <p>This parameter is required to specify which metal rates you want to display. Possible values include: gold, silver, platinum, palladium, rhodium, ruthenium.</p>
            <p>Example: <code>[metals_api_price symbol="XAU"]</code></p>
        </li>
        <li>
            <strong>date-format</strong>
            <p>This optional parameter allows you to specify the date format. Possible values include formats like Y-m-d, m-d-Y, etc. <a target="_blank" href="https://www.w3schools.com/php/func_date_date_format.asp">Find a complete list of date formats</a></p>
            <p>Example: <code>[metals_api_price date-format="Y-m-d"]</code></p>
        </li>
        <li>
            <strong>base</strong>
            <p>This optional parameter allows you to display rates of metals in a specific currency. Possible values include: USD, GBP, etc. <a href="https://www.metals-api.com/pricing" target="_blank">Find a complete list of currency codes</a></p>
            <p>Example: <code>[metals_api_price base="USD"]</code></p>
        </li>
        <li>
            <strong>price-round</strong>
            <p>This optional parameter specifies the number of decimal places for the price. Possible values are integers.</p>
            <p>Example: <code>[metals_api_price price-round="2"]</code></p>
        </li>
        <li>
            <strong>date</strong>
            <p>This optional parameter allows you to display rates for a specific date. Use a date in the format YYYY-MM-DD.</p>
            <p>Example: <code>[metals_api_price date="<?=date("Y-m-d", strtotime("yesterday"))?>"]</code></p>
        </li>
        <li>
            <strong>unit</strong>
            <p>This optional parameter lets you choose the type of unit for displaying metal rates.</p>
            <p>Example: <code>[metals_api_price unit="gram"]</code>, <code>[metals_api_price unit="kg"]</code>, or <code>[metals_api_price unit="ounce"]</code></p>
        </li>
        <li>
            <strong>separator</strong>
            <p>This optional parameter specifies the separator for thousands and decimal places in the price (e.g., "." or ",").</p>
            <p>Example: <code>[metals_api_price separator=","]</code></p>
        </li>
        <li>
            <strong>currency-symbol</strong>
            <p>This optional parameter defines the symbol for the base currency (e.g., "$" for USD). This symbol will be used in the output.</p>
            <p>Example: <code>[metals_api_price currency-symbol="$"]</code></p>
        </li>
    </ul>
</div>
<hr>
<h3>Full Shortcode Example</h3>
<code>[metals_api_price symbol="XAU" date-format="F jS, Y, H:i a" unit="gram" base="USD" price-round="3" separator="." currency-symbol="$"]</code>
