<h1>Metals API Settings</h1>
<hr>
<?php if($saved){ ?>
    <div class="notice notice-success">
        <p>Your API was saved, now you can start using Metals API with the shortcodes.</p>
    </div>
<?php } ?>
<form class="" method="post">
    <?php wp_nonce_field(-1, "thenonce");?>
    <table class="form-table">
        <tbody>
            <tr>
                <th>Metals API Key</th>
                <td>
                    <input type="text" name="metalapi_apikey" value="<?=get_option('metalapi_apikey');?>" class="regular-text">
                    <p class="description">API status: <span><?=isset($metalapi_error) && trim($metalapi_error) != "" ? $metalapi_error : "Not used yet";?></span></p>
                    <p class="description">You can get your API key by registering at <a href="https://metals-api.com/pricing" target="_blank">Metals API</a>. After you sign up, please copy "Your API Access Key" on the dashboard section.</p>
                </td>
            </tr>
        </tbody>
    </table>

    <h3>Shortcode Templates</h3>
    <p>Use the controls below to define the content displayed by the shortcode. The API can return success, failure, or no data, so please provide desired content for all three cases. You can also use the provided codes to display dynamic content.</p>

    <table class="form-table">
        <tbody>
            <tr>
                <th><span class="success">Success Fetching</span></th>
                <td>
                    <?php wp_editor(
                        stripslashes(get_option("metalapi_200_msg", '{{currency}} {{price}} {{unit}}')),
                        "metalapi_200_msg",
                        array(
                            "textarea_name" => "metalapi_200_msg",
                            "textarea_rows" => 4
                        )
                    ); ?>
                    <p class="description">You can use {{base}}, {{timestamp}}, {{price}}, {{symbol}}, {{unit}}, {{date}} in the above textarea. Note that {{currency}} will display the base currency symbol (e.g., $ for USD).</p>
                </td>
            </tr>
            
            <tr>
                <th><span class="error">Error Result</span></th>
                <td>
                    <?php wp_editor(
                        stripslashes(get_option("metalapi_500_msg", 'Error: {{error}}')),
                        "metalapi_500_msg",
                        array(
                            "textarea_name" => "metalapi_500_msg",
                            "textarea_rows" => 4
                        )
                    ); ?>
                    <p class="description">You can use {{error}} to display the API error message to the user.</p>
                </td>
            </tr>
            
            <tr>
                <th><span class="empty">Message When No Answer is Received</span></th>
                <td>
                    <?php wp_editor(
                        stripslashes(get_option("metalapi_000_msg", 'Error: no answer')),
                        "metalapi_000_msg",
                        array(
                            "textarea_name" => "metalapi_000_msg",
                            "textarea_rows" => 4
                        )
                    ); ?>
                    <p class="description">You can use {{error}} to customize the message when no answer is received from the API.</p>
                </td>
            </tr>
            
            <!-- New Section for Additional Parameters -->
            <tr>
                <th>Price Separator</th>
                <td>
                    <input type="text" name="metalapi_price_separator" value="<?=get_option('metalapi_price_separator', '.');?>" class="regular-text">
                    <p class="description">Define the separator used for thousands and decimal places in the price (e.g., "." or ",").</p>
                </td>
            </tr>
            
            <tr>
                <th>Currency Symbol</th>
                <td>
                    <input type="text" name="metalapi_currency_symbol" value="<?=get_option('metalapi_currency_symbol', '$');?>" class="regular-text">
                    <p class="description">Define the symbol for the base currency (e.g., "$" for USD). This will be used in the output.</p>
                </td>
            </tr>
            
        </tbody>
    </table>
    <p>
        <button type="submit" class="button button-primary" name="save">Submit</button>
    </p>
</form>
